org.eclipse.oomph.resources.impl

## Class ResourcesFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.oomph.resources.impl.ResourcesFactoryImpl

- All Implemented Interfaces:
    Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BinaryResourceImpl.DataConverter.Factory, ResourcesFactory

      public class ResourcesFactoryImpl
      extends EFactoryImpl
      implements ResourcesFactory

  An implementation of the model Factory.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.resources.ResourcesFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcesFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertToString(EDataType eDataType, Object instanceValue)`
    `EObject` | `create(EClass eClass)`
    `EclipseProjectFactory` | `createEclipseProjectFactory()`
    `Object` | `createFromString(EDataType eDataType, String initialValue)`
    `MavenProjectFactory` | `createMavenProjectFactory()`
    `SourceLocator` | `createSourceLocator()`
    `SourceLocator` | `createSourceLocator(String rootFolder)`
    `SourceLocator` | `createSourceLocator(String rootFolder, boolean locateNestedProjects)`
    `static ResourcesPackage` | `getPackage()` Deprecated.
    `ResourcesPackage` | `getResourcesPackage()`
    `static ResourcesFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### ResourcesFactoryImpl

          public ResourcesFactoryImpl()

      Creates an instance of the factory.
      Generated

  - ### Method Detail

    - #### init

          public static ResourcesFactory init()

      Creates the default factory implementation.
      Generated

    - #### create

          public EObject create(EClass eClass)

      Specified by:
        `create` in interface `EFactory`
      Overrides:
        `create` in class `EFactoryImpl`
      Generated

    - #### createFromString

          public Object createFromString(EDataType eDataType,
                                String initialValue)

      Specified by:
        `createFromString` in interface `EFactory`
      Overrides:
        `createFromString` in class `EFactoryImpl`
      Generated

    - #### convertToString

          public String convertToString(EDataType eDataType,
                               Object instanceValue)

      Specified by:
        `convertToString` in interface `EFactory`
      Overrides:
        `convertToString` in class `EFactoryImpl`
      Generated

    - #### createSourceLocator

          public SourceLocator createSourceLocator()

      Specified by:
        `createSourceLocator` in interface `ResourcesFactory`
      Returns:
        a new object of class 'Source Locator'.
      Generated

    - #### createEclipseProjectFactory

          public EclipseProjectFactory createEclipseProjectFactory()

      Specified by:
        `createEclipseProjectFactory` in interface `ResourcesFactory`
      Returns:
        a new object of class 'Eclipse Project Factory'.
      Generated

    - #### createMavenProjectFactory

          public MavenProjectFactory createMavenProjectFactory()

      Specified by:
        `createMavenProjectFactory` in interface `ResourcesFactory`
      Returns:
        a new object of class 'Maven Project Factory'.
      Generated

    - #### createSourceLocator

          public SourceLocator createSourceLocator(String rootFolder)

      Specified by:
        `createSourceLocator` in interface `ResourcesFactory`

    - #### createSourceLocator

          public SourceLocator createSourceLocator(String rootFolder,
                                          boolean locateNestedProjects)

      Specified by:
        `createSourceLocator` in interface `ResourcesFactory`

    - #### getResourcesPackage

          public ResourcesPackage getResourcesPackage()

      Specified by:
        `getResourcesPackage` in interface `ResourcesFactory`
      Returns:
        the package supported by this factory.
      Generated

    - #### getPackage

          @Deprecated
          public static ResourcesPackage getPackage()

      Deprecated.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html